> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> GET /documents

`GET /documents`

Base URL: `https://tms.universal.rollout.com/api`

## Parameters

| Name     | In    | Type                      | Required |
| -------- | ----- | ------------------------- | -------- |
| `next`   | query | string                    | No       |
| `offset` | query | string(numeric) \| number | No       |
| `limit`  | query | number                    | No       |

## Responses

| Status | Description |
| ------ | ----------- |
| `200`  | OK          |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/tms.json GET /documents`


## OpenAPI

````yaml /openapi/tms.json GET /documents
openapi: 3.0.3
info:
  title: Universal TMS API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://tms.universal.rollout.com/api
security: []
paths:
  /documents:
    get:
      tags:
        - Documents
      summary: List Documents
      operationId: get_documents
      parameters:
        - schema:
            type: string
          in: query
          name: next
          required: false
        - schema:
            anyOf:
              - format: numeric
                default: 0
                type: string
              - type: number
          in: query
          name: offset
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  documents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        category:
                          type: string
                        status:
                          type: string
                        type:
                          type: string
                        fileUrl:
                          anyOf:
                            - type: string
                          nullable: true
                        fileSize:
                          anyOf:
                            - type: number
                          nullable: true
                        mimeType:
                          type: string
                        fileSignature:
                          type: string
                        folderId:
                          type: string
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        receivedDate:
                          anyOf:
                            - type: string
                          nullable: true
                        requiresSignature:
                          type: boolean
                        isSigned:
                          type: boolean
                        signedBy:
                          anyOf:
                            - type: array
                              items:
                                type: object
                                additionalProperties:
                                  anyOf:
                                    - type: number
                                    - type: string
                          nullable: true
                        signedDate:
                          anyOf:
                            - type: string
                          nullable: true
                        isActive:
                          type: boolean
                        loanId:
                          anyOf:
                            - type: string
                          nullable: true
                        borrowerId:
                          anyOf:
                            - type: string
                          nullable: true
                        propertyId:
                          anyOf:
                            - type: string
                          nullable: true
                        transactionId:
                          anyOf:
                            - type: string
                          nullable: true
                        userId:
                          anyOf:
                            - type: string
                          nullable: true
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        rolloutUpdated:
                          type: string
                      required:
                        - id
                        - name
                        - category
                        - status
                        - type
                        - fileUrl
                        - fileSize
                        - mimeType
                        - fileSignature
                        - folderId
                        - created
                        - updated
                        - receivedDate
                        - requiresSignature
                        - isSigned
                        - signedBy
                        - signedDate
                        - isActive
                        - loanId
                        - borrowerId
                        - propertyId
                        - transactionId
                        - userId
                        - originalIds
                        - original
                        - rolloutUpdated
                required:
                  - _metadata
                  - documents
            multipart/form-data:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  documents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        category:
                          type: string
                        status:
                          type: string
                        type:
                          type: string
                        fileUrl:
                          anyOf:
                            - type: string
                          nullable: true
                        fileSize:
                          anyOf:
                            - type: number
                          nullable: true
                        mimeType:
                          type: string
                        fileSignature:
                          type: string
                        folderId:
                          type: string
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        receivedDate:
                          anyOf:
                            - type: string
                          nullable: true
                        requiresSignature:
                          type: boolean
                        isSigned:
                          type: boolean
                        signedBy:
                          anyOf:
                            - type: array
                              items:
                                type: object
                                additionalProperties:
                                  anyOf:
                                    - type: number
                                    - type: string
                          nullable: true
                        signedDate:
                          anyOf:
                            - type: string
                          nullable: true
                        isActive:
                          type: boolean
                        loanId:
                          anyOf:
                            - type: string
                          nullable: true
                        borrowerId:
                          anyOf:
                            - type: string
                          nullable: true
                        propertyId:
                          anyOf:
                            - type: string
                          nullable: true
                        transactionId:
                          anyOf:
                            - type: string
                          nullable: true
                        userId:
                          anyOf:
                            - type: string
                          nullable: true
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        rolloutUpdated:
                          type: string
                      required:
                        - id
                        - name
                        - category
                        - status
                        - type
                        - fileUrl
                        - fileSize
                        - mimeType
                        - fileSignature
                        - folderId
                        - created
                        - updated
                        - receivedDate
                        - requiresSignature
                        - isSigned
                        - signedBy
                        - signedDate
                        - isActive
                        - loanId
                        - borrowerId
                        - propertyId
                        - transactionId
                        - userId
                        - originalIds
                        - original
                        - rolloutUpdated
                required:
                  - _metadata
                  - documents
            text/plain:
              schema:
                type: object
                properties:
                  _metadata:
                    type: object
                    properties:
                      collection:
                        type: string
                      offset:
                        type: number
                      limit:
                        type: number
                      total:
                        type: number
                      next:
                        anyOf:
                          - type: string
                        nullable: true
                      nextLink:
                        anyOf:
                          - type: string
                        nullable: true
                    required:
                      - collection
                      - offset
                      - limit
                      - total
                      - next
                      - nextLink
                  documents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        category:
                          type: string
                        status:
                          type: string
                        type:
                          type: string
                        fileUrl:
                          anyOf:
                            - type: string
                          nullable: true
                        fileSize:
                          anyOf:
                            - type: number
                          nullable: true
                        mimeType:
                          type: string
                        fileSignature:
                          type: string
                        folderId:
                          type: string
                        created:
                          anyOf:
                            - type: string
                          nullable: true
                        updated:
                          anyOf:
                            - type: string
                          nullable: true
                        receivedDate:
                          anyOf:
                            - type: string
                          nullable: true
                        requiresSignature:
                          type: boolean
                        isSigned:
                          type: boolean
                        signedBy:
                          anyOf:
                            - type: array
                              items:
                                type: object
                                additionalProperties:
                                  anyOf:
                                    - type: number
                                    - type: string
                          nullable: true
                        signedDate:
                          anyOf:
                            - type: string
                          nullable: true
                        isActive:
                          type: boolean
                        loanId:
                          anyOf:
                            - type: string
                          nullable: true
                        borrowerId:
                          anyOf:
                            - type: string
                          nullable: true
                        propertyId:
                          anyOf:
                            - type: string
                          nullable: true
                        transactionId:
                          anyOf:
                            - type: string
                          nullable: true
                        userId:
                          anyOf:
                            - type: string
                          nullable: true
                        originalIds:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: number
                              - type: string
                        original:
                          type: object
                          additionalProperties:
                            type: object
                            additionalProperties: {}
                        rolloutUpdated:
                          type: string
                      required:
                        - id
                        - name
                        - category
                        - status
                        - type
                        - fileUrl
                        - fileSize
                        - mimeType
                        - fileSignature
                        - folderId
                        - created
                        - updated
                        - receivedDate
                        - requiresSignature
                        - isSigned
                        - signedBy
                        - signedDate
                        - isActive
                        - loanId
                        - borrowerId
                        - propertyId
                        - transactionId
                        - userId
                        - originalIds
                        - original
                        - rolloutUpdated
                required:
                  - _metadata
                  - documents
          description: OK
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components: {}

````